Bug 242109 - Digicam crashes on startup when scanning albums
Summary: Digicam crashes on startup when scanning albums
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Engine (show other bugs)
Version: 1.2.0
Platform: Debian unstable Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-18 22:04 UTC by Gregor B. Rosenauer
Modified: 2017-08-10 20:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor B. Rosenauer 2010-06-18 22:04:50 UTC
Application: digikam (1.2.0)
KDE Platform Version: 4.4.4 (KDE 4.4.4)
Qt Version: 4.6.3
Operating System: Linux 2.6.34-0.slh.9-sidux-amd64 x86_64
Distribution: Debian GNU/Linux unstable (sid)

-- Information about the crash:
When starting up digikam, the splash screen shows and it starts scanning (remote 
SMB-mounted) albums, then after 1-2s it crashes, everytime.

My photo album is located on a local samba server running the same OS as my client (Sidux Hypnos), mounted via autofs.

Before the crash, Nepomuk brings up a notification that the "redland database driver" cannot be found.

It always worked before, so maybe it is really related to Nepomuk.


The crash can be reproduced every time.

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
	in ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S
[Current thread is 1 (Thread 0x7f03f12197c0 (LWP 12758))]

Thread 2 (Thread 0x7f03d88da710 (LWP 12760)):
[KCrash Handler]
#5  0x00007f0300000000 in ?? ()
#6  0x00007f03e830080d in Exiv2::ExifKey::clone() const () from /usr/lib/libexiv2.so.6
#7  0x00007f03e82b1d77 in Exiv2::Exifdatum::Exifdatum(Exiv2::Exifdatum const&) () from /usr/lib/libexiv2.so.6
#8  0x00007f03ef6d6e90 in std::vector<Exiv2::Exifdatum, std::allocator<Exiv2::Exifdatum> >::operator=(std::vector<Exiv2::Exifdatum, std::allocator<Exiv2::Exifdatum> > const&) ()
   from /usr/lib/libkexiv2.so.8
#9  0x00007f03ef6d531c in KExiv2Iface::KExiv2::load(QString const&) const () from /usr/lib/libkexiv2.so.8
#10 0x00007f03ee1cc2e9 in Digikam::DMetadata::load(QString const&) const () from /usr/lib/libdigikamcore.so.1
#11 0x00007f03edced801 in Digikam::ImageScanner::loadFromDisk() () from /usr/lib/libdigikamdatabase.so.1
#12 0x00007f03edcf2dd9 in Digikam::ImageScanner::fileModified() () from /usr/lib/libdigikamdatabase.so.1
#13 0x00007f03edca43a6 in Digikam::CollectionScanner::scanModifiedFile(QFileInfo const&, Digikam::ItemScanInfo const&) () from /usr/lib/libdigikamdatabase.so.1
#14 0x00007f03edca485f in Digikam::CollectionScanner::scanFileNormal(QFileInfo const&, Digikam::ItemScanInfo const&) () from /usr/lib/libdigikamdatabase.so.1
#15 0x00007f03edca5190 in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) () from /usr/lib/libdigikamdatabase.so.1
#16 0x00007f03edca533b in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) () from /usr/lib/libdigikamdatabase.so.1
#17 0x00007f03edca533b in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) () from /usr/lib/libdigikamdatabase.so.1
#18 0x00007f03edca5ef7 in Digikam::CollectionScanner::scanAlbumRoot(Digikam::CollectionLocation const&) () from /usr/lib/libdigikamdatabase.so.1
#19 0x00007f03edca6240 in Digikam::CollectionScanner::completeScan() () from /usr/lib/libdigikamdatabase.so.1
#20 0x00000000006e2015 in ?? ()
#21 0x00007f03ea837e35 in QThreadPrivate::start (arg=0x18535c0) at thread/qthread_unix.cpp:248
#22 0x00007f03e7e0b8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#23 0x00007f03e9af501d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#24 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f03f12197c0 (LWP 12758)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f03ea838e8b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1853680, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1853680, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f03ea837ecc in QThread::wait (this=<value optimized out>, time=18446744073709551615) at thread/qthread_unix.cpp:619
#4  0x00000000006e2417 in ?? ()
#5  0x00000000006e3dbb in ?? ()
#6  0x00000000006e3f77 in ?? ()
#7  0x00007f03e9a5c5f2 in __run_exit_handlers (status=1, listp=0x7f03e9d814a8, run_list_atexit=true) at exit.c:78
#8  0x00007f03e9a5c645 in *__GI_exit (status=25507692) at exit.c:100
#9  0x00007f03eb8c9e38 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:744
#10 0x00007f03ec7c5e58 in KApplication::xioErrhandler (this=0x7fff69772e30, dpy=0x1651690) at ../../kdeui/kernel/kapplication.cpp:408
#11 0x00007f03e8a5fe3e in _XIOError () from /usr/lib/libX11.so.6
#12 0x00007f03e8a6725f in ?? () from /usr/lib/libX11.so.6
#13 0x00007f03e8a67b97 in _XEventsQueued () from /usr/lib/libX11.so.6
#14 0x00007f03e8a50463 in XEventsQueued () from /usr/lib/libX11.so.6
#15 0x00007f03eb90330c in x11EventSourceCheck (s=0x163fad0) at kernel/qguieventdispatcher_glib.cpp:87
#16 0x00007f03e61568fa in g_main_context_check () from /lib/libglib-2.0.so.0
#17 0x00007f03e61572b3 in ?? () from /lib/libglib-2.0.so.0
#18 0x00007f03e61576ec in g_main_context_iteration () from /lib/libglib-2.0.so.0
#19 0x00007f03ea950713 in QEventDispatcherGlib::processEvents (this=0x16012b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#20 0x00007f03eb90314e in QGuiEventDispatcherGlib::processEvents (this=0x185376c, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#21 0x00007f03ea925a82 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#22 0x00007f03ea925e5c in QEventLoop::exec (this=0x1812430, flags=) at kernel/qeventloop.cpp:201
#23 0x00000000006e3121 in ?? ()
#24 0x0000000000690ea3 in ?? ()
#25 0x000000000077fd17 in ?? ()
#26 0x00007f03e9a44c4d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=0x7fff69773cd8) at libc-start.c:228
#27 0x00000000004773a9 in _start ()

Reported using DrKonqi
Comment 1 caulier.gilles 2010-06-18 22:30:40 UTC
Crash come from Exiv2 library. Which version you use. Go to Help/Components Info for details...

Which camera you use ? Nikon ? Try to update to last Exiv2 0.20.0

Gilles Caulier
Comment 2 caulier.gilles 2010-10-06 11:55:36 UTC
Do you see my comment #1 ?

Gilles Caulier
Comment 3 caulier.gilles 2010-11-24 09:09:51 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 4 Marcel Wiesweg 2011-01-18 14:41:40 UTC
Please test with a recent version of digikam (>= 1.7) and, most importantly, with a recent libexiv2 version.
Comment 5 caulier.gilles 2011-07-06 10:51:42 UTC
We need feedback here...

Gilles Caulier
Comment 6 caulier.gilles 2015-07-03 06:00:02 UTC
New digiKam 4.11.0 is available.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 7 caulier.gilles 2016-07-03 07:04:49 UTC
With digiKam 5.0.0, this problem is not reproducible.

I close this file now. Re-open it if necessary.

Gilles Caulier